import { Base, Type } from "./type";
export declare class Thickness extends Base {
    constructor(a: number, b: number);
    constructor(a: number, b: number, c: number, d: number, e: number);
    constructor(a: number, ..._rest: any[]);
    b: number;
    c: number;
    d: number;
    e: number;
    a(a: Thickness): boolean;
    toString(): string;
    static $t: Type;
}
